Bug 152459 - Kernel is unable to mount multi-mode CDs
Kernel is unable to mount multi-mode CDs
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
OldNeedsRetesting bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-29 13:17 EST by Ralf Ertzinger
Modified: 2015-01-04 17:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:07:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
View of multisession disc as seen by k3b (116.64 KB, image/png)
2005-11-26 11:46 EST, Ralf Ertzinger
no flags Details

  None (edit)
Description Ralf Ertzinger 2005-03-29 13:17:50 EST
Description of problem:
Given a multi-mode CD (Audio tracks in session 1, data track in session 2), the
kernel seems unable to find the data track to mount it:

hdc: command error: status=0x51 { DriveReady SeekComplete Error }
hdc: command error: error=0x54 { AbortedCommand LastFailedSense=0x05 }
ide: failed opcode was: unknown
ATAPI device hdc:
  Error: Illegal request -- (Sense key=0x05)
  Illegal mode for this track or incompatible medium -- (asc=0x64, ascq=0x00)
  The failed "Read 10" packet command was: 
  "28 00 00 00 00 00 00 00 02 00 00 00 00 00 00 00 "
end_request: I/O error, dev hdc, sector 0

This repeated for various sector numbers. It seems that the kernel tries to
mount the audio part, which of course fails.

Version-Release number of selected component (if applicable):
kernel-2.6.11-1.1191_FC4

How reproducible:
Always

Steps to Reproduce:
1. Get a multi-mode CD
2. Try to mount the data part
3.
  
Actual results:
Mounting fails.

Expected results:
Mount the data track

Additional info:
Comment 1 Dave Jones 2005-10-06 01:26:44 EDT
is this still occuring with the latest errata kernel ?
Comment 2 Dave Jones 2005-11-10 15:06:31 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 3 Ralf Ertzinger 2005-11-26 11:44:38 EST
I just tried this with 2.6.14-1.1712_FC5 (on a different machine, though). All I
get is tons of this:

end_request: I/O error, dev hdb, sector 196
hdb: command error: status=0x51 { DriveReady SeekComplete Error }
hdb: command error: error=0x54 { AbortedCommand LastFailedSense=0x05 }
ide: failed opcode was: unknown
end_request: I/O error, dev hdb, sector 16
printk: 10 messages suppressed.
Buffer I/O error on device hdb, logical block 4
hdb: command error: status=0x51 { DriveReady SeekComplete Error }
hdb: command error: error=0x54 { AbortedCommand LastFailedSense=0x05 }
ide: failed opcode was: unknown
end_request: I/O error, dev hdb, sector 20

with sector numbers up to 196 in steps of 4.

I attached a screenshot of the disc structure as seen by k3b.
Comment 4 Ralf Ertzinger 2005-11-26 11:46:44 EST
Created attachment 121507 [details]
View of multisession disc as seen by k3b
Comment 5 Dave Jones 2006-02-03 00:58:33 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 6 Ralf Ertzinger 2006-02-11 11:42:50 EST
With 2.6.15-1.1909_FC5 on FC devel (not updated further due to the current mass
rebuild) the kernel is still unable to see the data track.
Comment 7 Dave Jones 2006-09-16 22:56:30 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 8 Dave Jones 2006-10-16 15:08:59 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 9 Ralf Ertzinger 2006-11-02 09:32:31 EST
This is still an issue (Rawhide/kernel-2.6.18-1.2798.fc6).
Comment 10 petrosyan 2008-03-10 19:30:11 EDT
Fedora Core 6 is no longer maintained. Is this bug still present in Fedora 7 or
Fedora 8?
Comment 11 Jon Stanley 2008-03-31 14:31:31 EDT
Removing NeedsRetesting from whiteboard so we can repurpose it.
Comment 12 Ralf Ertzinger 2008-04-01 05:03:33 EDT
This still does not work with kernel-PAE-2.6.25-0.155.rc6.git8.fc9.i686.

To be completely honest I am not sure how it would be supposed to work, since we
don't have partitions for CD drives
Comment 13 Bug Zapper 2008-04-03 21:55:22 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 14 Bug Zapper 2008-05-06 20:07:27 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.